org.apache.maven.scm.repository

## Class ScmRepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException
      - - org.apache.maven.scm.repository.ScmRepositoryException

All Implemented Interfaces:
  Serializable

    public class ScmRepositoryException
    extends ScmException

Version:
  $Id: ScmRepositoryException.java 685539 2008-08-13 13:27:27Z vsiveton $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmRepositoryException(String msg)`
`ScmRepositoryException(String msg, List validationMessages)`
`ScmRepositoryException(String msg, Throwable cause)`

### Method Summary

Methods
`List` `getValidationMessages()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRepositoryException

    public ScmRepositoryException(String msg)

#### ScmRepositoryException

    public ScmRepositoryException(String msg,
                          Throwable cause)

#### ScmRepositoryException

    public ScmRepositoryException(String msg,
                          List validationMessages)

### Method Detail

#### getValidationMessages

    public List getValidationMessages()